
%global meadversion 1.4
%global namedversion 1.4.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 16

%bcond_without mead

%define maven_version 1.4.redhat-3

Name:           apache-commons-codec-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Codec
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: commons-codec-1.4.redhat-3-scm-sources.zip
Source102: commons-codec-1.4.redhat-3-sources.jar
Source103: commons-codec-1.4.redhat-3.pom
Source104: commons-codec-1.4.redhat-3-site.xml
Source105: commons-codec-1.4.redhat-3.jar
Source106: commons-codec-1.4.redhat-3-javadoc.jar
%endif

URL:            http://commons.apache.org/codec/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-codec-eap6-%{namedversion}-%{release}-root

%description
The codec package contains simple encoder and decoders for various
formats such as Base64 and Hexadecimal. In addition to these widely used
encoders and decoders, the codec package also maintains a collection of
phonetic encoding utilities.

%prep
%setup -q -n commons-codec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/commons-codec-eap6
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}.jar %{buildroot}%{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/commons-codec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/commons-codec-eap6 && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n apache-commons-codec-eap6
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt TODO
%dir %{_javadir}/commons-codec-eap6
%{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}.jar
%{_javadir}/commons-codec-eap6/commons-codec.jar
%exclude %{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-codec-eap6/commons-codec-javadoc.jar
%{_javadir}/commons-codec-eap6/commons-codec-%{namedversion}-sources.jar
%{_javadir}/commons-codec-eap6/commons-codec-sources.jar

%changelog
* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 1.4-16.redhat_3.1
- fix dir

* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 1.4-16.redhat_3.1
- fix dir

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 1.4-15.redhat_3.1
- resubmit build due to failure post-build

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 1.4-15.redhat_3.1
- resubmit build due to failure post-build

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 1.4-15.redhat_3.1
- resubmit build due to failure post-build

* Tue Oct 15 2013 David Walluck <dwalluck@redhat.com> 0:1.4-12
- convert to MEAD

* Wed Aug 15 2012 David Walluck <dwalluck@redhat.com> 0:1.4-11
- fix repolib
- add missing BuildRequires: zip
- remove wrong Requires on java
- change source encoding to utf-8
- move incorrect repolib logic from %%install to %%prep (was breaking %%install)
- remove online link during javadoc
- fix local repo in deploy call

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-10.redhat_2.4
- Rebuild in regular buildroot

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-10.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-10.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-10.redhat_1.1
- Rebuild using cache signing

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.4-10.redhat_1
- Add sources and patches to maven2-brew directory in repolib

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-9.1_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:1.4-9.1
- many fixes for brew
- bump release due to jakarta-commons-codec

* Thu Dec 09 2010 Ralph Apel <r.apel@r-apel.de> 0:1.4-5
- Fix compat symlinks for jakarta-commons-codec

* Thu Oct 07 2010 Ralph Apel <r.apel@r-apel.de> 0:1.4-4
- Provide compat symlinks for jakarta-commons-codec

* Thu Sep 23 2010 Ralph Apel <r.apel@r-apel.de> 0:1.4-3
- Drop Requires for apache-commons-parent

* Wed Sep 08 2010 Ralph Apel <r.apel@r-apel.de> 0:1.4-2
- Add poms and depmap frags
- OK move to free

* Sun Nov 22 2009 Ralph Apel <r.apel@r-apel.de> 0:1.4-1
- 1.4
- rename to apache-commons-codec
- build with maven2 by default

* Fri May 30 2008 Permaine Cheung <pcheung@redhat.com> 0:1.3-9
- First JPP 5 build

* Wed Mar 21 2007 Matt Wringe <mwringe@redhat.com> 0:1.3-8jpp
- Fix some rpmlint warnings
- Update copyright year

* Tue Sep 26 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-7jpp.1
- Add missing java-javadoc requires and buildrequires.

* Mon Sep 25 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-6jpp
- Update jakarta-commons-codec-1.3-buildscript.patch to build
  offline.

* Thu Aug 10 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-5jpp
- Add missing javadoc requires

* Thu Jul 20 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-4jpp
- Added conditional native compiling

* Tue Apr 04 2006 Ralph Apel <r.apel@r-apel.de> 0:1.3-3jpp
- First JPP-1.7 release

* Thu May 05 2005 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp_1rh
- First Red Hat build

* Wed Sep 08 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp
- Do not stop on test failure

* Tue Sep 07 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-1jpp
- Upgrade to 1.3
- Rebuilt with Ant 1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.2-1jpp
- 1.2
- use perl instead of patch

* Wed May 28 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:1.1-1jpp
- First JPackage release.
